Name:    pyhoca-cli
Version: 0.6.1.2
Release: %mkrel 6
Summary: Command line X2Go client written in Python
Group:   Networking/Remote access
License: AGPLv3+
URL:     https://www.x2go.org/
Source0: https://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz
BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3dist(setuptools)
Requires:      python3dist(setproctitle)
Requires:      python3dist(x2go)

%description
X2Go is a server based computing environment with:
   - session resuming
   - low bandwidth support
   - LDAP support
   - client side mass storage mounting support
   - client side printing support
   - audio support
   - authentication by smartcard and USB stick

PyHoca-CLI provides a simple and flexible command line client
written in Python that allows you to control X2Go client sessions
on desktops and thin clients.

%prep
%setup -q

# drop bundled egg-info
rm -rf PyHoca_CLI.egg-info/

%build
%py3_build

%install
%py3_install

mkdir -p %{buildroot}%{_bindir}/
cp -p %{name} %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_mandir}/
cp -rp man/* %{buildroot}%{_mandir}/

%files
%doc README TODO
%{_bindir}/%{name}
%{python3_sitelib}/*
%{_mandir}/man1/%{name}.1*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.6.1.2-6.mga10
+ Revision: 2243310
- Mageia 10 Mass Rebuild

* Fri Mar 07 2025 papoteur <papoteur> 0.6.1.2-5.mga10
+ Revision: 2161639
- rebuild for python3.13

* Wed Jan 10 2024 papoteur <papoteur> 0.6.1.2-4.mga10
+ Revision: 2029478
- rebuild for Pthon 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.6.1.2-3.mga9
+ Revision: 1823982
- Mageia 9 Mass Rebuild

* Sun Feb 27 2022 mrambo3501 <mrambo3501> 0.6.1.2-2.mga9
+ Revision: 1785885
- rebuild for python-3.10

* Wed Feb 02 2022 mrambo3501 <mrambo3501> 0.6.1.2-1.mga9
+ Revision: 1771073
- version 0.6.1.2

* Sat Jun 26 2021 wally <wally> 0.6.1.1-3.mga9
+ Revision: 1732529
- Rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 0.6.1.1-2.mga8
+ Revision: 1540396
- Mageia 8 Mass Rebuild

* Sun Dec 15 2019 wally <wally> 0.6.1.1-1.mga8
+ Revision: 1467778
- new version 0.6.1.1
- switch to python3

* Thu Sep 20 2018 umeabot <umeabot> 0.5.0.4-2.mga7
+ Revision: 1288141
- Mageia 7 Mass Rebuild

* Sat Apr 14 2018 kekepower <kekepower> 0.5.0.4-1.mga7
+ Revision: 1218731
- Update to version 0.5.0.4

* Tue Aug 08 2017 philippem <philippem> 0.5.0.2-4.mga7
+ Revision: 1138858
- use new macros and provides

* Fri Feb 19 2016 umeabot <umeabot> 0.5.0.2-3.mga6
+ Revision: 968738
- Mageia 6 Mass Rebuild

* Thu Jul 16 2015 philippem <philippem> 0.5.0.2-2.mga6
+ Revision: 854698
- update to 0.5.0.2 fix mga#16174

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0.2-5.mga5
+ Revision: 741027
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.0.2-4.mga5
+ Revision: 728001
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0.2-3.mga5
+ Revision: 687856
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Feb 04 2014 dams <dams> 0.4.0.2-1.mga5
+ Revision: 580766
- new version 0.4.0.2
- bump release to be > as the mga 3 package

* Wed Nov 20 2013 dams <dams> 0.4.0.1-1.mga4
+ Revision: 552111
- imported package pyhoca-cli

